QGIS Application - Feature request #14738
Add 'Move Point Symbols' Tool
2016-04-27 09:39 AM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 22696
Description

Please add a tool to move point symbol markers (e.g. SVG markers). It should work in the same way as the 'Move label' tool. So far there
is no data defined option for X,Y coordinates in the 'Symbol selector' dialog but | suppose the existing 'Offset X,Y' fields will do the job.
Please note that a 'Rotate Point Symbols' tool is already implemented in QGIS.

My aim is to create dynamic leader lines from the symbol marker offset to the point geometry using the new geometry generator marker:

make_line (
make_point(
$x + regexp_substr("offset_xy", '([*,]*)"),
Sy - regexp_substr("offset_xy", '([*,]*$)")
),
$geometry

)

See also http://www.opengis.ch/2015/12/10/geometry-generator-symbology/

Associated revisions

Revision 79b97945 - 2016-05-13 12:05 AM - Nyall Dawson

[FEATURE] New map tool for interactively setting point symbol offset

Allows for setting a point's offset if it is bound to a field using
data defined overrides (fix #14738)

TODO: replace temporary icons

Sponsored by North Road

History

#1 - 2016-05-02 02:57 AM - Saber Razmjooei
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Feature implemented in:
https://github.com/qgis/QGIS/pull/3046

See this for more:
https://www.youtube.com/watch?v=1mO3eKUAMRQ&#38;feature=youtu.be
#2 - 2016-05-16 02:01 AM - R. R.

Hi Nyall,

thanks for this feature. The way it's implemented looks really nice.

#3 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown
